#ifndef _INTINPUT2_H_
#define _INTINPUT2_H_

/*Headers:*/
#include "./Input2.h"

class IntInput2: public Input2{

	private:
		int   size;
		int*  values;

	public:
		/*IntInput2 constructors, destructors: {{{*/
		IntInput2();
		IntInput2(int size_in);
		~IntInput2();
		/*}}}*/
		/*Object virtual functions definitions:{{{ */
		Input2 *copy();
		void    DeepEcho();
		void    Echo();
		int     Id();
		void    Marshall(char** pmarshalled_data,int* pmarshalled_data_size, int marshall_direction);
		int     ObjectEnum();
		/*}}}*/
		/*IntInput2 management: {{{*/
		void GetInput(int* pvalue,int index);
		void SetInput(int index,int value);
		/*}}}*/

};
#endif  /* _BOOLINPUT_H */
